VGREDUCE(8)

NAME
vgreduce - reduce a volume group

SYNOPSIS
vgreduce [-a/--all] [-A/--autobackup y/n] [-d/--debug] [-h/-?/--help] [--removemissing] [-t/--test] [-v/--verbose] VolumeGroupName [PhysicalVolumePath...]

DESCRIPTION
vgreduce allows you to remove one or more unused physical volumes from a volume group.

OPTIONS
See lvm for common options.

-a, --all
    Removes all empty physical volumes if none are given on command line.

--removemissing
    Removes all missing physical volumes from the volume group and makes the volume group consistent again.

    It's a good idea to run this option with --test first to find out what it would remove before running it for real.

    Any logical volumes and dependent snapshots that were partly on the missing disks get removed completely. This includes those parts that lie on disks that are still present.

    If your logical volumes spanned several disks including the ones that are lost, you might want to try to salvage data first by activating your logical volumes with --partial as described in lvm (8).

SEE ALSO
lvm(8), vgextend(8)